# psoap.h File Reference

`#include <ptclib/pxml.h>`
`#include <ptclib/http.h>`

Go to the source code of this file.

## Classes

class | PSOAPMessage
| SOAP message according to http://www.w3.org/TR/SOAP/. More...
class | PSOAPServerRequestResponse
| SOAP Server classes. More...
class | PSOAPServerMethod
| Create an association between a method and its "notifier", the handler function. More...
class | PSOAPServerResource
| This resource will bind the methods to an http resource (a url). More...
class | PSOAPClient
| SOAP client classes. More...

## Defines

#define | DEFAULT_SOAP_URL "/soap"

## Functions

| PSORTED_LIST (PSOAPServerMethodList, PSOAPServerMethod)

## Define Documentation

#define DEFAULT_SOAP_URL "/soap"

## Function Documentation

PSORTED_LIST | ( | PSOAPServerMethodList | ,
|  | PSOAPServerMethod |  |
| ) |  |  |